#include "irc_parse_thread.hpp"

#include "connection.hpp"

auto irc_parse_thread(Connection * connection) -> void
{
    connection->add_listener<LineEvent>([connection](LineEvent const& event)
    {
        connection->make_event<IrcMsgEvent>(parse_irc_message(event.line));
    });
}